Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	Library for handling different JPEG files
Name:		libjpeg6
Version:	6b
Release:	1
Buildarch:	i686
License:	distributable
Group:		System/Libraries
Source0:	ftp://ftp.uu.net/graphics/jpeg/jpegsrc.v%{version}.tar.gz
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-arm.patch
Patch2:		%{name}-include.patch
Patch3:		%{name}-c++.patch
Patch4:		%{name}-libtool.patch
URL:		http://www.ijg.org/
BuildRequires:	libtool

%description
The libjpeg package contains a library of functions for manipulating
JPEG images.


%package devel
Summary:	Headers for developing programs using libjpeg
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The libjpeg-devel package includes the header files necessary for
developing programs which will manipulate JPEG files using the libjpeg
library.

%prep
%setup -q -n jpeg-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%configure \
	--enable-shared \
	--disable-static

%{__make} \
	libdir=%{_libdir}

LD_PRELOAD=$PWD/.libs/%{name}.so \
%{__make} test

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir},%{_bindir},%{_mandir}/man1}

%{__make} install-headers install-lib \
	libdir=%{_libdir} \
	DESTDIR=$RPM_BUILD_ROOT

install jversion.h $RPM_BUILD_ROOT%{_includedir}

# remove HAVE_STD{DEF,LIB}_H
# (not necessary but may generate warnings confusing autoconf)
(cd $RPM_BUILD_ROOT%{_includedir}
grep -v 'HAVE_STD..._H' jconfig.h > jconfig.h.new
mv -f jconfig.h.new jconfig.h
)

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README change.log
%attr(755,root,root) %{_libdir}/libjpeg.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libjpeg.so.62

%files devel
%defattr(644,root,root,755)
%doc {libjpeg,structure}.doc
%attr(755,root,root) %{_libdir}/libjpeg.so
%{_libdir}/libjpeg.la
%{_includedir}/jconfig.h
%{_includedir}/jerror.h
%{_includedir}/jmorecfg.h
%{_includedir}/jpeglib.h
%{_includedir}/jversion.h
%{_libdir}/libjpeg.a

%changelog
* Sun Dec 27 2009 Christian Metzen <metzench@ccux-linux.de> 6b-1
- Initial CCux package release
- only provide jpeg 6b libs, as some progs still need them
